Bug 158039

Summary: Name in form with bracket shouldn't be set at page load but on submit step
Product: [Applications] konqueror Reporter: rapsys <rapsys>
Component: khtmlAssignee: Konqueror Developers <konq-bugs>
Status: REPORTED ---    
Severity: normal CC: emilsedgh, ruchir.brahmbhatt, sreejiththulaseedharan
Priority: NOR Keywords: triaged
Version: unspecified   
Target Milestone: ---   
Platform: Mandriva RPMs   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: Testcase

Description rapsys 2008-02-19 12:03:00 UTC
Version:           3.5.9 (using KDE 3.5.9)
Installed from:    Mandriva RPMs
Compiler:          ersion gcc 4.2.2 20071128 (prerelease) (4.2.2-2mdv2008.1) Target: i586-mandriva-linux-gnu Configuré avec: ../configure --prefix=/usr --libexecdir=/usr/lib --with-slibdir=/lib --mandir=/usr/share/man --infodir=/usr/share/info --enable-checking=release --enable-languages=c,c++,ada,fortran,objc,obj-c++,java --host=i586-mandriva-linux-gnu --with-cpu=generic --with-system-zlib --enable-threads=posix --enable-shared --enable-long-long --enable-__cxa_atexit --disable-libunwind-exceptions --enable-clocale=gnu --enable-java-awt=gtk --with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre --enable-gtk-cairo --disable-libjava-multilib --enable-ssp --disable-libssp Modèle de thread: posix
OS:                Linux

I have discovered a problem in kthml way to generate the name array number in form.

Here are the result of the testcase under ie and firefox :
Array
(
    [test_order] => Array
        (
            [0] => 1
            [1] => 4
            [2] => 2
            [3] => 6
            [4] => 3
            [5] => 5
        )
)
Here is the result of the testcase under konqueror :
Array
(
    [test_order] => Array
        (
            [0] => 1
            [1] => 2
            [2] => 3
            [3] => 5
            [4] => 4
            [5] => 6
        )
)

How to reproduce :
Set next attachement on a php enabled server, move around the li order (click on number and drag/drop it on top or on bottom of other element)

Submit the form and get the result, as you may see the numbering or name array is incorrect.

Plz fix as soon as possible.
Comment 1 rapsys 2008-02-19 12:03:42 UTC
Created attachment 23619 [details]
Testcase

The testcase to see that bug.
Comment 2 rapsys 2008-02-19 12:06:18 UTC
Just for extra info opera act like firefox and ie6 & > (not tested earlier).
Comment 3 rapsys 2008-02-27 16:43:01 UTC
Konqueror version of kde4 is affected too.
Comment 4 Emil Sedgh 2009-05-04 21:54:02 UTC
here is the testcase, uploaded on a server for easier testing: http://community.ir/~emilsedgh/khtml_sortables.php

bug is still reproducable on trunk/ (pre 4.3) but the fix seems to be in way.
Comment 5 Maksim Orlovich 2009-05-05 00:31:28 UTC
SVN commit 963583 by orlovich:

Make sure to encode form elements in tree order; some web frameworks rely on that 
for DND stuff. Fixes the essence of bug #158039, but there is a funky issue with 
list bullets that that still has.

CCBUG:158039


 M  +34 -2     html_formimpl.cpp  
 M  +6 -0      html_formimpl.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=963583
Comment 6 Maksim Orlovich 2009-05-05 00:33:31 UTC
SVN commit 963584 by orlovich:

automatically merged revision 963583:
Make sure to encode form elements in tree order; some web frameworks rely on that 
for DND stuff. Fixes the essence of bug #158039, but there is a funky issue with 
list bullets that that still has.

CCBUG:158039

 M  +34 -2     html_formimpl.cpp  
 M  +6 -0      html_formimpl.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=963584
Comment 7 Ruchir Brahmbhatt 2009-06-21 17:38:39 UTC
Works properly for me on 4.3 beta 2.
Comment 8 Andrew Crouthamel 2018-11-06 15:17:56 UTC
Dear Bug Submitter,

This bug has been stagnant for a long time. Could you help us out and re-test if the bug is valid in the latest version? I am setting the status to NEEDSINFO pending your response, please change the Status back to REPORTED when you respond.

Thank you for helping us make KDE software even better for everyone!
Comment 9 Andrew Crouthamel 2018-11-18 03:30:47 UTC
Dear Bug Submitter,

This is a reminder that this bug has been stagnant for a long time. Could you help us out and re-test if the bug is valid in the latest version? This bug will be moved back to REPORTED Status for manual review later, which may take a while. If you are able to, please lend us a hand.

Thank you for helping us make KDE software even better for everyone!